#
# Anbox - The Android in a Box runtime environment
# Copyright 2019 Canonical Ltd.  All rights reserved.
#

from charms.reactive import Endpoint


class GatewayProvides(Endpoint):
    def send_information(self, token, url, private_url, allow_insecure):
        for relation in self.relations:
            relation.to_publish['api-token'] = token
            relation.to_publish['url'] = url
            relation.to_publish['private_url'] = private_url
            relation.to_publish['allow_insecure'] = allow_insecure
